<!DOCTYPE html>
<html>
  <head>
    <title>Rock Paper Scissors</title>
  </head>
  <body>
    <p>Rock Paper Scissors</p>
    <button onclick="playGame('rock');">Rock</button>

    <button onclick="playGame('paper');">Paper</button>

    <button onclick="playGame('scissors');">Scissors</button>

    <p class="js-result"></p>
    <p class="js-moves"></p>

    <p class="js-score"></p>
    <button
      onclick="
    score.wins = 0;
    score.losses = 0;
    score.ties = 0;
    localStorage.removeItem('score');
    updateScoreElement();
    "
    >
      Reset Score
    </button>

    <script>
      const score = {
        wins: 0,
        losses: 0,
        ties: 0,
      };

      console.log(
        JSON.parse(localStorage.getItem("score")) || {
          wins: 0,
          losses: 0,
          ties: 0,
        }
      );

      updateScoreElement();

      /* 
      if(!score){
        score = {
          wins: 0,
          losses: 0,
          ties: 0
        };
      }
        */

      function pickMove() {
        randomNumber = Math.random();
        let computerMove = "";
        // console.log(randomNumber);
        if (randomNumber >= 0 && randomNumber < 1 / 3) {
          computerMove = "Rock";
        } else if (randomNumber >= 1 / 3 && randomNumber < 2 / 3) {
          computerMove = "Paper";
        } else if (randomNumber >= 2 / 3 && randomNumber < 1) {
          computerMove = "Scissors";
        }

        console.log(computerMove);
        return computerMove;
      }

      function playGame(playerMove) {
        let computerMove = pickMove();

        let result = "";

        if (playerMove === "scissors") {
          if (computerMove === "Rock") {
            result = "You lose";
          } else if (computerMove === "Paper") {
            result = "You win";
          } else if (computerMove === "Scissors") {
            result = "Tie";
          }
        } else if (playerMove === "paper") {
          computerMove = pickMove();

          result = "";
          if (computerMove === "Rock") {
            result = "You win";
          } else if (computerMove === "Paper") {
            result = "Tie";
          } else if (computerMove === "Scissors") {
            result = "You lose";
          }
        } else if (playerMove === "rock") {
          computerMove = pickMove();
          result = "";
          if (computerMove === "Rock") {
            result = "Tie";
          } else if (computerMove === "Paper") {
            result = "You lose";
          } else if (computerMove === "Scissors") {
            result = "You win";
          }
        }

        if (result === "You win") {
          score.wins += 1;
        } else if (result === "You lose") {
          score.losses += 1;
        } else if (result === "Tie") {
          score.ties += 1;
        }

        localStorage.setItem("score", JSON.stringify(score));

        updateScoreElement();

        document.querySelector(".js-result").innerHTML = result;

        document.querySelector(
          ".js-moves"
        ).innerHTML = `You : ${playerMove} - Computer : ${computerMove}`;

        alert(
          `You picked rock. Computer picked ${computerMove} . ${result} \nWins: ${score.wins}, Losses: ${score.losses}, Ties: ${score.ties}`
        );
      }

      function updateScoreElement() {
        document.querySelector(
          ".js-score"
        ).innerHTML = `Wins: ${score.wins}, Losses: ${score.losses}, Ties: ${score.ties}`;
      }
    </script>
  </body>
</html>
